# frozen_string_literal: true

class AddDefaultVcsTypeToNamespaces < ActiveRecord::Migration[6.0]
  DOWNTIME = false

  # rgomes (re gracinet): this limit has no technical reason with PostgreSQL:
  #     https://www.postgresql.org/docs/12/datatype-character.html
  # rubocop:disable Migration/AddLimitToTextColumns
  def up
    add_column :namespaces, :default_vcs_type, :text
  end
  # rubocop:enable Migration/AddLimitToTextColumns

  def down
    remove_column :namespaces, :default_vcs_type
  end
end
